package com.tenlionsoft.aimz_k.model

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import java.io.Serializable

@Entity(tableName = "db_category")
data class MsgCategoryBean(
    @PrimaryKey(autoGenerate = true)
    var id: Long = 0,
    @ColumnInfo(name = "avatar")
    var avatar: String,
    @ColumnInfo(name = "from")
    var from: String,                    //来源,系统消息为:SYSTEM 非系统消息为UserID
    @ColumnInfo(name = "to")
    var to: String,                       //去处 系统消息为appId 非系统消息为userId
    @ColumnInfo(name = "timestamp")
    var timestamp: Long,                  // 时间戳
    @ColumnInfo(name = "sendState")
    var sendState: Int,                   //发送状态 11发送中   12发送失败  13发送成功
    @ColumnInfo(name = "fromName")
    var fromName: String,                 //来源名称
    @ColumnInfo(name = "body")
    var body: String,
    @ColumnInfo(name = "isRead")            //是否回复
    var isRead: Boolean,
) : Serializable