package com.tenlionsoft.aimz_k.net

import com.tenlionsoft.aimz_k.model.BaseSuccessBean
import okhttp3.RequestBody
import retrofit2.http.Body
import retrofit2.http.Headers
import retrofit2.http.POST


interface UserApi {
    /**
     * 登录
     *
     * @param user
     * @return
     */
    @Headers("Content-Type: application/json", "Accept: application/json", "projectName:usercenter")
    @POST("api/jwt/login")
    suspend fun doLogin(@Body user: RequestBody): BaseSuccessBean
}